Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 83)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 工事予算データ明細フィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	// 工事番号
 
@@ -110,13 +110,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<ConstructionBudgetDetail> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -143,13 +143,13 @@
         #region 1件データ読込処理
         public bool SelectAction(string AddSQLString, ref ConstructionBudgetDetail data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -309,7 +309,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -342,52 +342,52 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)DataColumn.ConstructionCode:      // 工事番号
+                    case (int)TableColumn.ConstructionCode:      // 工事番号
                         strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.GroupCount:             // グループ番号
+                    case (int)TableColumn.GroupCount:             // グループ番号
                         strcmd += string.Format(" GroupCount = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.LineCount:              // 行番号
+                    case (int)TableColumn.LineCount:              // 行番号
                         strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.ComponentCode:          // 構成キー
+                    case (int)TableColumn.ComponentCode:          // 構成キー
                         strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.ItemCode:		        // 工種キー
+                    case (int)TableColumn.ItemCode:		        // 工種キー
                         strcmd += string.Format(" ItemCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.FirstString:            // 項目名称
+                    case (int)TableColumn.FirstString:            // 項目名称
                         strcmd += string.Format(" FirstString = '{0}'", value.ToString());
                         break;
-                    case (int)DataColumn.SecondString:           // 工事内容
+                    case (int)TableColumn.SecondString:           // 工事内容
                         strcmd += string.Format(" SecondString = '{0}'", value.ToString());
                         break;
-                    case (int)DataColumn.CompanyType:            // 協力会社コードタイプ
+                    case (int)TableColumn.CompanyType:            // 協力会社コードタイプ
                         strcmd += string.Format(" CompanyType = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.CompanyCode:            // 協力会社コード
+                    case (int)TableColumn.CompanyCode:            // 協力会社コード
                         strcmd += string.Format(" CompanyCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.CompanyName:            // 協力会社名称
+                    case (int)TableColumn.CompanyName:            // 協力会社名称
                         strcmd += string.Format(" CompanyName = '{0}'", value.ToString());
                         break;
-                    case (int)DataColumn.EstimatePrice:          // 見積時金額
+                    case (int)TableColumn.EstimatePrice:          // 見積時金額
                         strcmd += string.Format(" EstimatePrice = {0}", ((double)value).ToString());
                         break;
-                    case (int)DataColumn.NegotiationPrice:       // 交渉時金額
+                    case (int)TableColumn.NegotiationPrice:       // 交渉時金額
                         strcmd += string.Format(" NegotiationPrice = {0}", ((double)value).ToString());
                         break;
-                    case (int)DataColumn.OrderDesiredAmount:     // 発注希望金額
+                    case (int)TableColumn.OrderDesiredAmount:     // 発注希望金額
                         strcmd += string.Format(" OrderDesiredAmount = {0}", ((double)value).ToString());
                         break;
-                    case (int)DataColumn.ExecutionAmount:        // 実行金額
+                    case (int)TableColumn.ExecutionAmount:        // 実行金額
                         strcmd += string.Format(" ExecutionAmount = {0}", ((double)value).ToString());
                         break;
-                    case (int)DataColumn.AmountConfigRate:       // 金額構成率
+                    case (int)TableColumn.AmountConfigRate:       // 金額構成率
                         strcmd += string.Format(" AmountConfigRate = {0}", ((double)value).ToString());
                         break;
-                    case (int)DataColumn.NegotiateFlg:           // 協力業者交渉フラグ
+                    case (int)TableColumn.NegotiateFlg:           // 協力業者交渉フラグ
                         strcmd += string.Format(" NegotiateFlg = {0}", ((int)value).ToString());
                         break;
                 }
@@ -418,26 +418,26 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());          // 工事番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());          // 工事番号
 
-                wrk.GroupCount = int.Parse(objwrk[(int)DataColumn.GroupCount].ToString());	                    // グループ番号
-                wrk.LineCount = int.Parse(objwrk[(int)DataColumn.LineCount].ToString());	                    // 行番号
-                wrk.ComponentCode = int.Parse(objwrk[(int)DataColumn.ComponentCode].ToString());	            // 構成キー
-                wrk.ItemCode = int.Parse(objwrk[(int)DataColumn.ItemCode].ToString());		                    // 工種キー
-                wrk.FirstString = objwrk[(int)DataColumn.FirstString].ToString();	                            // 項目名称
-                wrk.SecondString = objwrk[(int)DataColumn.SecondString].ToString();	                            // 工事内容
-                wrk.CompanyType = int.Parse(objwrk[(int)DataColumn.CompanyType].ToString());	                // 協力会社コードタイプ
-                wrk.CompanyCode = int.Parse(objwrk[(int)DataColumn.CompanyCode].ToString());	                // 協力会社コード
-                wrk.CompanyName = objwrk[(int)DataColumn.CompanyName].ToString();                               // 協力会社名称
-                wrk.EstimatePrice = double.Parse(objwrk[(int)DataColumn.EstimatePrice].ToString());	            // 見積時金額
-                wrk.NegotiationPrice = double.Parse(objwrk[(int)DataColumn.NegotiationPrice].ToString());	    // 交渉時金額
-                wrk.OrderDesiredAmount = double.Parse(objwrk[(int)DataColumn.OrderDesiredAmount].ToString());	// 発注希望金額
-                wrk.ExecutionAmount = double.Parse(objwrk[(int)DataColumn.ExecutionAmount].ToString());	        // 実行金額
-                wrk.AmountConfigRate = double.Parse(objwrk[(int)DataColumn.AmountConfigRate].ToString());	    // 金額構成率
-                wrk.NegotiateFlg = int.Parse(objwrk[(int)DataColumn.NegotiateFlg].ToString());                  // 協力業者交渉フラグ
+                wrk.GroupCount = int.Parse(objwrk[(int)TableColumn.GroupCount].ToString());	                    // グループ番号
+                wrk.LineCount = int.Parse(objwrk[(int)TableColumn.LineCount].ToString());	                    // 行番号
+                wrk.ComponentCode = int.Parse(objwrk[(int)TableColumn.ComponentCode].ToString());	            // 構成キー
+                wrk.ItemCode = int.Parse(objwrk[(int)TableColumn.ItemCode].ToString());		                    // 工種キー
+                wrk.FirstString = objwrk[(int)TableColumn.FirstString].ToString();	                            // 項目名称
+                wrk.SecondString = objwrk[(int)TableColumn.SecondString].ToString();	                            // 工事内容
+                wrk.CompanyType = int.Parse(objwrk[(int)TableColumn.CompanyType].ToString());	                // 協力会社コードタイプ
+                wrk.CompanyCode = int.Parse(objwrk[(int)TableColumn.CompanyCode].ToString());	                // 協力会社コード
+                wrk.CompanyName = objwrk[(int)TableColumn.CompanyName].ToString();                               // 協力会社名称
+                wrk.EstimatePrice = double.Parse(objwrk[(int)TableColumn.EstimatePrice].ToString());	            // 見積時金額
+                wrk.NegotiationPrice = double.Parse(objwrk[(int)TableColumn.NegotiationPrice].ToString());	    // 交渉時金額
+                wrk.OrderDesiredAmount = double.Parse(objwrk[(int)TableColumn.OrderDesiredAmount].ToString());	// 発注希望金額
+                wrk.ExecutionAmount = double.Parse(objwrk[(int)TableColumn.ExecutionAmount].ToString());	        // 実行金額
+                wrk.AmountConfigRate = double.Parse(objwrk[(int)TableColumn.AmountConfigRate].ToString());	    // 金額構成率
+                wrk.NegotiateFlg = int.Parse(objwrk[(int)TableColumn.NegotiateFlg].ToString());                  // 協力業者交渉フラグ
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -458,16 +458,19 @@
         /// <param name="GroupCount"></param>
         /// <param name="LineCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int GroupCount = 0, int LineCount = 0)
+        public string CreatePrimarykeyString(int ConstructionCode, int GroupCount = 0, int LineCount = 0, string Alias = "")
         {
             string strWork = "";
             try
             {
-                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
+                string strAlias = string.Empty;
+                if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
+
+                strWork = string.Format(" Where {0}ConstructionCode = {1}", strAlias, ConstructionCode);
                 if (GroupCount != 0)
-                    strWork += string.Format(" And GroupCount = {0}", GroupCount);
+                    strWork += string.Format(" And {0}GroupCount = {1}", strAlias, GroupCount);
                 if (LineCount != 0)
-                    strWork += string.Format(" And LineCount = {0}", LineCount);
+                    strWork += string.Format(" And {0}LineCount = {1}", strAlias, LineCount);
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 83)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 工事詳細台帳データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	    // 工事番号
 
@@ -84,10 +84,13 @@
             strcmd += " ,ConstructionPeriod";   // 事業期
             strcmd += " ,CreatorCode";          // 作成者コード
             strcmd += " ,CreatorName";    	    // 作成者名
-            strcmd += " ,CreateDate";	        // 作成日
+            strcmd += " ,DATE_FORMAT(CreateDate, '%Y/%m/%d')";
+                                                // 作成日
             strcmd += " ,ConstructionTimes";    // 工期（単位・月）
-            strcmd += " ,DATE_FORMAT(ConstructionStart, '%Y/%m/%d')"; // 契約工期開始
-            strcmd += " ,DATE_FORMAT(ConstructionEnd, '%Y/%m/%d')";   // 契約工期完了
+            strcmd += " ,DATE_FORMAT(ConstructionStart, '%Y/%m/%d')";
+                                                // 契約工期開始
+            strcmd += " ,DATE_FORMAT(ConstructionEnd, '%Y/%m/%d')";
+                                                // 契約工期完了
             strcmd += " ,OrdersDecisionPrice";  // 税抜受注決定金額
             strcmd += " ,CompanyExpenses";      // 会社経費合計
             strcmd += " ,DepartmentExpenses";   // 部署経費合計
@@ -117,13 +120,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<ConstructionLedger> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -157,13 +160,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref ConstructionLedger data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -355,7 +358,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -394,58 +397,58 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)DataColumn.ConstructionCode:          // 工事番号
+                    case (int)TableColumn.ConstructionCode:          // 工事番号
                         strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.ConstructionPeriod:        // 事業期
+                    case (int)TableColumn.ConstructionPeriod:        // 事業期
                         strcmd += string.Format(" ConstructionPeriod = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.CreatorCode:               // 作成者コード
+                    case (int)TableColumn.CreatorCode:               // 作成者コード
                         strcmd += string.Format(" CreatorCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.CreatorName:    	        // 作成者名
+                    case (int)TableColumn.CreatorName:    	        // 作成者名
                         strcmd += string.Format(" CreatorName = '{0}'", value.ToString());
                         break;
-                    case (int)DataColumn.CreateDate:	            // 作成日
+                    case (int)TableColumn.CreateDate:	            // 作成日
                         strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)DataColumn.ConstructionTimes:         // 工期（単位・月）
+                    case (int)TableColumn.ConstructionTimes:         // 工期（単位・月）
                         strcmd += string.Format(" ConstructionTimes = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.ConstructionStart:         // 契約工期開始
+                    case (int)TableColumn.ConstructionStart:         // 契約工期開始
                         strcmd += string.Format(" ConstructionStart = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)DataColumn.ConstructionEnd:           // 契約工期完了
+                    case (int)TableColumn.ConstructionEnd:           // 契約工期完了
                         strcmd += string.Format(" ConstructionEnd = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)DataColumn.OrdersDecisionPrice:       // 税抜受注決定金額
+                    case (int)TableColumn.OrdersDecisionPrice:       // 税抜受注決定金額
                         strcmd += string.Format(" OrdersDecisionPrice = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.CompanyExpenses:           // 会社経費合計
+                    case (int)TableColumn.CompanyExpenses:           // 会社経費合計
                         strcmd += string.Format(" CompanyExpenses = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.DepartmentExpenses:        // 部署経費合計
+                    case (int)TableColumn.DepartmentExpenses:        // 部署経費合計
                         strcmd += string.Format(" DepartmentExpenses = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.SalesExpenses:             // 営業経費合計
+                    case (int)TableColumn.SalesExpenses:             // 営業経費合計
                         strcmd += string.Format(" SalesExpenses = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.TotalPayment:              // 総支払額
+                    case (int)TableColumn.TotalPayment:              // 総支払額
                         strcmd += string.Format(" TotalPayment = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.GrossProfit:               // 粗利
+                    case (int)TableColumn.GrossProfit:               // 粗利
                         strcmd += string.Format(" GrossProfit = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.Allowance:                 // 給与
+                    case (int)TableColumn.Allowance:                 // 給与
                         strcmd += string.Format(" Allowance = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.NetProfit:                 // 純利益
+                    case (int)TableColumn.NetProfit:                 // 純利益
                         strcmd += string.Format(" NetProfit = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.ComplateFlg:               // 入力完了フラグ
+                    case (int)TableColumn.ComplateFlg:               // 入力完了フラグ
                         strcmd += string.Format(" ComplateFlg = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.IntegrationFlg:            // 受注金額積算フラグ
+                    case (int)TableColumn.IntegrationFlg:            // 受注金額積算フラグ
                         strcmd += string.Format(" IntegrationFlg = {0}", ((int)value).ToString());
                         break;
                     default:
@@ -479,29 +482,29 @@
             {
                 // データ取得
 
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());	        // 工事番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());	        // 工事番号
 
-                wrk.ConstructionPeriod = int.Parse(objwrk[(int)DataColumn.ConstructionPeriod].ToString());        // 事業期
-                wrk.CreatorCode = int.Parse(objwrk[(int)DataColumn.CreatorCode].ToString());                      // 作成者コード
-                wrk.CreatorName = objwrk[(int)DataColumn.CreatorName].ToString();                                 // 作成者名
-                wrk.CreateDate = DateTime.Parse(objwrk[(int)DataColumn.CreateDate].ToString());                   // 作成日
-                wrk.ConstructionTimes = double.Parse(objwrk[(int)DataColumn.ConstructionTimes].ToString());       // 工期（単位・月）
-                wrk.ConstructionStart = DateTime.Parse(objwrk[(int)DataColumn.ConstructionStart].ToString());     // 契約工期開始
-                wrk.ConstructionEnd = DateTime.Parse(objwrk[(int)DataColumn.ConstructionEnd].ToString());         // 契約工期完了
+                wrk.ConstructionPeriod = int.Parse(objwrk[(int)TableColumn.ConstructionPeriod].ToString());        // 事業期
+                wrk.CreatorCode = int.Parse(objwrk[(int)TableColumn.CreatorCode].ToString());                      // 作成者コード
+                wrk.CreatorName = objwrk[(int)TableColumn.CreatorName].ToString();                                 // 作成者名
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)TableColumn.CreateDate].ToString());                   // 作成日
+                wrk.ConstructionTimes = double.Parse(objwrk[(int)TableColumn.ConstructionTimes].ToString());       // 工期（単位・月）
+                wrk.ConstructionStart = DateTime.Parse(objwrk[(int)TableColumn.ConstructionStart].ToString());     // 契約工期開始
+                wrk.ConstructionEnd = DateTime.Parse(objwrk[(int)TableColumn.ConstructionEnd].ToString());         // 契約工期完了
 
-                wrk.OrdersDecisionPrice = double.Parse(objwrk[(int)DataColumn.OrdersDecisionPrice].ToString());   // 税抜受注決定金額
-                wrk.CompanyExpenses = double.Parse(objwrk[(int)DataColumn.CompanyExpenses].ToString());           // 会社経費合計
-                wrk.DepartmentExpenses = double.Parse(objwrk[(int)DataColumn.DepartmentExpenses].ToString());     // 部署経費合計
-                wrk.SalesExpenses = double.Parse(objwrk[(int)DataColumn.SalesExpenses].ToString());               // 営業経費合計
-                wrk.TotalPayment = double.Parse(objwrk[(int)DataColumn.TotalPayment].ToString());                 // 総支払額
-                wrk.GrossProfit = double.Parse(objwrk[(int)DataColumn.GrossProfit].ToString());                   // 粗利
-                wrk.Allowance = double.Parse(objwrk[(int)DataColumn.Allowance].ToString());                       // 給与
-                wrk.NetProfit = double.Parse(objwrk[(int)DataColumn.NetProfit].ToString());                       // 純利益
-                wrk.ComplateFlg = int.Parse(objwrk[(int)DataColumn.ComplateFlg].ToString());                   // 入力完了フラグ
-                wrk.IntegrationFlg = int.Parse(objwrk[(int)DataColumn.IntegrationFlg].ToString());                // 受注金額積算フラグ
+                wrk.OrdersDecisionPrice = double.Parse(objwrk[(int)TableColumn.OrdersDecisionPrice].ToString());   // 税抜受注決定金額
+                wrk.CompanyExpenses = double.Parse(objwrk[(int)TableColumn.CompanyExpenses].ToString());           // 会社経費合計
+                wrk.DepartmentExpenses = double.Parse(objwrk[(int)TableColumn.DepartmentExpenses].ToString());     // 部署経費合計
+                wrk.SalesExpenses = double.Parse(objwrk[(int)TableColumn.SalesExpenses].ToString());               // 営業経費合計
+                wrk.TotalPayment = double.Parse(objwrk[(int)TableColumn.TotalPayment].ToString());                 // 総支払額
+                wrk.GrossProfit = double.Parse(objwrk[(int)TableColumn.GrossProfit].ToString());                   // 粗利
+                wrk.Allowance = double.Parse(objwrk[(int)TableColumn.Allowance].ToString());                       // 給与
+                wrk.NetProfit = double.Parse(objwrk[(int)TableColumn.NetProfit].ToString());                       // 純利益
+                wrk.ComplateFlg = int.Parse(objwrk[(int)TableColumn.ComplateFlg].ToString());                   // 入力完了フラグ
+                wrk.IntegrationFlg = int.Parse(objwrk[(int)TableColumn.IntegrationFlg].ToString());                // 受注金額積算フラグ
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
